Summary:       Object to handle .desktop files
Name:          perl-File-DesktopEntry
Version:       0.22
Release:       7%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/File-DesktopEntry
Source0:       https://cpan.metacpan.org/authors/id/M/MI/MICHIELB/File-DesktopEntry-%{version}.tar.gz

BuildRequires: make perl-interpreter perl-generators
BuildRequires: perl(ExtUtils::MakeMaker) perl(strict) perl(warnings) perl(Carp)
BuildRequires: perl(Cwd) perl(Encode) perl(File::BaseDir) perl(File::Path) perl(File::Spec)
BuildRequires: perl(URI::Escape) perl(vars) perl(Test::More) perl(utf8)
BuildRequires: perl(Test::CPAN::Changes) perl(Test::Pod) perl(Test::Pod::Coverage)

Requires:       perl(Cwd) perl(File::Path)
BuildArch:     noarch

%description
This module is used to work with .desktop files. The format of these files is specified by the
freedesktop "Desktop Entry" specification. This module can parse these files but also knows how to
run the applications defined by these files. For this module version 1.0 of the specification was
used.

%prep
%autosetup -n File-DesktopEntry-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.22-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 22 2023 Shuo Wang <abushwang@tencent.com> - 0.22-1
- initial build
